gnome-ppp conflicts with resolvconf

Bug #585744 reported by Uwe Mock on 2010-05-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-ppp (Debian)
Fix Released
Unknown
gnome-ppp (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: gnome-ppp

It should be possible to install both packages, gnome-ppp and resolvconf, at the same time. At the moment, each one of them prevents the installation of the other.

As far as I know, the conflicting code in gnome-ppp has been removed around 2004, so there should be no need marking the two packages as conflicting. The KDE dialer kppp can well coexist with resolvconf, but this is no alternative to me as I don't have the 300+ megabytes for the additional KDE libraries on my netbook.

At the moment, there is AFAIK no GUI dialer on Gnome that can coexist with resolvconf.

Related branches

Marc Deslauriers (mdeslaur) wrote :

The conflicting code is still there. Check out write_resolv_conf() in gnome-ppp.c.

Changed in gnome-ppp (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
Changed in gnome-ppp (Debian):
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-ppp - 0.3.23-1ubuntu6

---------------
gnome-ppp (0.3.23-1ubuntu6) precise; urgency=low

  * debian/patches/70_disable_resolvconf.patch: Disable /etc/resolv.conf
    mangling so we don't need to conflict with resolvconf. Attempting to
    modify that as an unprivileged user doesn't work anyway. (LP: #585744)
  * debian/control: Don't conflict with resolvconf, remove outdated
    upstream URL from description.
 -- Marc Deslauriers <email address hidden> Sun, 29 Jan 2012 15:27:53 -0500

Changed in gnome-ppp (Ubuntu):
status: Confirmed → Fix Released
Changed in gnome-ppp (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.